{{- $respSizes := slice "640" "960" "1280" "1600" -}}

{{- $src := .Get "src" -}}
{{- $image := resources.Get $src }}
{{- $respImages := slice -}}

{{- range $size := $respSizes -}}
  {{- if or (eq ($respImages | len) 0) (ge $image.Width $size) -}}
    {{- $respFormat := printf "%sx jpg" . -}}
    {{- $respImage := $image.Resize $respFormat -}}
    {{- $respImages = $respImages | append $respImage -}}
  {{- end -}}
{{- end -}}

{{- $smallImage := index $respImages 0 -}}
{{- $largeImage := index $respImages (sub ($respImages | len) 1) -}}

{{- $alt := or (.Get "alt") "" -}}
{{- $pos := or (.Get "pos") "50% 50%" }}
{{- $href := or (.Get "href") $largeImage.RelPermalink }}
{{- $onclick := or (.Get "onclick") "return showImage(this)" }}

<p>
  <a href="{{ $href }}" target="_blank" onclick="{{ safeJS $onclick }}">
    <picture>
      <source
        type="image/jpeg"
        srcset="
        {{- range $i, $respImage := $respImages -}}
          {{- if $i -}}, {{- end -}}
          {{- $respImage.RelPermalink }} {{ $respImage.Width }}w
        {{- end -}}
        "
        sizes="(min-width: 1024px 100vw, 50vw)"
      />
      {{ with $smallImage -}}
      <img
        src="{{ .RelPermalink }}"
        width="{{ .Width }}"
        height="{{ .Height }}"
        alt="{{ $alt }}"
        style="object-position: {{ $pos }}"
        loading="lazy"
      />
      {{- end }}
    </picture>
  </a>
</p>
